## Read All Data Points in an SOH Channel

There are some situations in which it is advantageous to see all the data points
in an SOH channel. This is provided as an option that can be toggled for each channel
in the Channels table editor. 

<br />
<br />
<img alt="Database Menu" src="images/read_all_soh_data_points/channel_read_all_option.png" width="800" />
<br />

Because of the way RT130 data is structured, this feature is disabled. In this case,
SOH channels aside from mass-position have all their data points read. Meanwhile, 
mass-position and waveform channels are always decimated.

<br />
<br />
<img alt="Database Menu" src="images/read_all_soh_data_points/rt130_read_all_option_disabled.png" width="800" />
<br />

**Warning**: it is a very computationally intensive task to read all data points, even
with only a handful low-sample-rate SOH channels. It is recommended that this feature
is only used on channels that really needs the additional points. 
